Package: io.vertx.groovy.ext.shell.term

## [Groovy] Class Pty

- io.vertx.groovy.ext.shell.term.Pty

- A pseudo terminal used for controlling a Tty. This interface acts as a pseudo terminal master, Pty.slave returns the assocated slave pseudo terminal.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Pty (java.lang.Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static Pty` | `create()` Create a new pseudo terminal with no terminal type.
    `static Pty` | `create(java.lang.String terminalType)` Create a new pseudo terminal.
    `java.lang.Object` | `getDelegate()`
    `Pty` | `setSize(int width, int height)` Resize the terminal.
    `Tty` | `slave()` @return Returns: the pseudo terminal slave
    `Pty` | `stdoutHandler(io.vertx.core.Handler<java.lang.String> handler)` Set the standard out handler of the pseudo terminal.
    `Pty` | `write(java.lang.String data)` Write data to the slave standard input of the pseudo terminal.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### Pty(java.lang.Object delegate)

  - ### Method Detail

    - #### static Pty create()

      Create a new pseudo terminal with no terminal type.

      Returns:

    - #### static Pty create(java.lang.String terminalType)

      Create a new pseudo terminal.

      Returns:
        the created pseudo terminal
      Parameters:
        `terminalType` - the terminal type, for instance

    - #### java.lang.Object getDelegate()

    - #### Pty setSize(int width, int height)

      Resize the terminal.

      Returns:
        this current object
      Parameters:
        width
        height

    - #### Tty slave()

      Returns:
        the pseudo terminal slave

    - #### Pty stdoutHandler(io.vertx.core.Handler<java.lang.String> handler)

      Set the standard out handler of the pseudo terminal.

      Returns:
        this current object
      Parameters:
        `handler` - the standard output

    - #### Pty write(java.lang.String data)

      Write data to the slave standard input of the pseudo terminal.

      Returns:
        this current object
      Parameters:
        `data` - the data to write